<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:c="http://java.sun.com/jstl/core"
        xmlns:g="http://www.ihe.net/gazelle">
    <dl class="dl-horizontal">
        <c:if test="${zfp}">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.pam.SocioprofessionalOccupation']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('HL79107', demographics.socioProfessionalOccupation)}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.pam.SocioprofessionalGroup']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('HL79108', demographics.socioProfessionalGroup)}"/>
            </ui:decorate>
        </c:if>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.NumberOfWeeksOfGestation']}</ui:define>
            <h:outputText value="#{demographics.numberOfWeeksOfGestation}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.SMSConsent']}</ui:define>
            <h:outputText value="#{messages['net.ihe.gazelle.simulator.hl7.Yes']}"
                          rendered="#{demographics.smsConsent}"/>
            <h:outputText value="#{messages['gazelle.simulator.pam.No']}"
                          rendered="#{not demographics.smsConsent}"/>
        </s:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">Date de naissance carte Vitale</ui:define>
            <h:outputText value="#{demographics.weekInMonth.getLabel()}"
                          rendered="#{demographics.weekInMonth != null}"/>
            <h:outputText value=" - #{demographics.month}"/>
            <h:outputText value=" - #{demographics.yearOfBirth}"/>
        </ui:decorate>

        <div id="InsAdditionalDemographics">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">Date de naissance corrigé</ui:define>
                <h:outputText value="#{messages['net.ihe.gazelle.simulator.hl7.Yes']}"
                              rendered="#{demographics.dateOfBirthCorrected}"/>
                <h:outputText value="#{messages['gazelle.simulator.pam.No']}"
                              rendered="#{not demographics.dateOfBirthCorrected}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">Mode d'obtention de l'identité</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('IDENTITY_ACQUISITION_MODE', demographics.identityAcquisitionMode)}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">Justificatif d'identité</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('PROOF_OF_IDENTITY', demographics.proofOfIdentity)}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml"
                         rendered="#{demographics.documentExpirationDate}">
                <ui:define name="label">Valide jusqu'au</ui:define>
                <g:date value="#{demographics.documentExpirationDate}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml"
                         rendered="#{demographics.dateOfTheInsiWebserviceRequest}">
                <ui:define name="label">Date d'interrogation du téléservice INSi</ui:define>
                <g:date value="#{demographics.dateOfTheInsiWebserviceRequest}"/>
            </ui:decorate>
        </div>
    </dl>
</ui:composition>
